Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IAddressEntryContainer

All Superinterfaces:
  IContainer, IItem, java.io.Serializable

public interface IAddressEntryContainer
extends IContainer

This interface provides the necessary functionality to get addresses from an address list. The container class is `container.address_entry`.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `IAddressEntryContainer`.

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IAddressEntry[]` | `getEntries()` Gets the address entries from the address container.
`IAddressEntry[]` | `getEntries(QueryProfile queryProfile)` Gets the address entries from the address container matching a `QueryProfile`.
`IAddressEntryList` | `getEntries(QueryProfile queryProfile, int iPageSize, int iPage)` Gets the address entries from the address container matching a `QueryProfile`.
`IAddressEntry[]` | `resolve(java.lang.String sInfo, FetchProfile fp)` Resolves the string to address entries.

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    public static final ContainerClass CLASS

  The `ContainerClass` that represents an `IAddressEntryContainer`.

Method Detail

### getEntries

    public IAddressEntry[] getEntries()
                               throws CollaborationException

  Gets the address entries from the address container.

  Returns:
    an array of address entries from the address container.
  Throws:
    `CollaborationException` - if there was an error getting the entries

### getEntries

    public IAddressEntry[] getEntries(QueryProfile queryProfile)
                               throws CollaborationException

  Gets the address entries from the address container matching a `QueryProfile`.

  Parameters:
    `queryProfile` - the query profile to match
  Returns:
    an array of address entries from the address container.
  Throws:
    `CollaborationException` - if there was an error getting the entries

### getEntries

    public IAddressEntryList getEntries(QueryProfile queryProfile,
                                        int iPageSize,
                                        int iPage)
                                 throws CollaborationException

  Gets the address entries from the address container matching a `QueryProfile`.

  Parameters:
    `queryProfile` - the query profile to match
    `iPageSize` - the count of address entries that make a 'page' (`<=0` for all)
    `iPage` - the page number to fetch (must be `>=1`)
  Returns:
    the address entries
  Throws:
    `CollaborationException` - if there was an error getting the entries

### resolve

    public IAddressEntry[] resolve(java.lang.String sInfo,
                                   FetchProfile fp)
                            throws CollaborationException

  Resolves the string to address entries. The user information can be a name or part of the SMTP address. The steps are taken to resolve a name against the address list:
  - If the info contains an '@', create a prefix, no-case content restriction with `IAddressEntry.SMTP_ADDRESS`.
  - Otherwise use an `OR` restriction of (all ignoring case):
    - `IAddressEntry.FIRST_NAME` prefix.
    - `IAddressEntry.LAST_NAME` prefix.
    - `IAddressEntry.SMTP_ADDRESS` prefix.

  Parameters:
    `sInfo` - the user info to resolve
    `fp` - the fetch profile to use when fetching
  Returns:
    an array of address entries (length = `0`, unresolved; length = `1`, resolved; `>1`, ambiguous entries
  Throws:
    `CollaborationException` - if there was an error resolving the info

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.